# Account Balance

## This API method is used to retrieve Account balance

<mark style="color:blue;">`GET`</mark> `{base url}/api/v1/account/json/balance/`

#### Headers

| Name                                            | Type   | Description                 |
| ----------------------------------------------- | ------ | --------------------------- |
| Authorization<mark style="color:red;">\*</mark> |        | Bearer **`{{secret key}}`** |
| Content-Type<mark style="color:red;">\*</mark>  | String | application/json            |

{% tabs %}
{% tab title="201: Created " %}

{% endtab %}
{% endtabs %}

{% tabs %}
{% tab title="Response" %}

```json5
{
  "UGX": {
    "balance": 2710,
    "fee_sell": 2590,
    "reserved": 0,
    "gross_balance": 5300,
    "payout_balance": 1000,
    "payout_fee_sell": 0,
    "pending_payouts": 0,
    "payout_overdraft": 0,
    "pending_outgoing": 1500,
    "available_balance": 1210,
    "payout_gross_balance": 1000,
    "available_payout_balance": 1000
  }
}
```

{% endtab %}

{% tab title="Description" %}

| description:       | Company Balance in a specific currency                                                              |
| ------------------ | --------------------------------------------------------------------------------------------------- |
| gross\_balance     | <p></p><p>Raw Company balance without any fees or reserved amounts subtracted</p>                   |
| balance            | <p></p><p>Company gross balance with transaction fees subtracted</p>                                |
| available\_balance | <p></p><p>Company balance currently available for withdrawal</p>                                    |
| reserved           | <p></p><p>Amount protected from withdrawal for an amount of time as per the brand configuration</p> |
| pending\_outgoing  | <p></p><p>Amount currently pending withdrawal</p>                                                   |
| fee\_sell          | <p>FeeSellinteger</p><p>Fees applied to transactions</p>                                            |
| {% endtab %}       |                                                                                                     |
| {% endtabs %}      |                                                                                                     |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.paytota.com/payments/account-balance.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
